/* ***** BEGIN LICENSE BLOCK *****
 * Licensed under Version: MPL 1.1/GPL 2.0/LGPL 2.1
 * Full Terms at http://mozile.mozdev.org/license.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is Playsophy code.
 *
 * The Initial Developer of the Original Code is Playsophy
 * Portions created by the Initial Developer are Copyright (C) 2002-2003
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *		James A. Overton <james@overton.ca>
 *      Andreas Schamberger <mozile@andreass.net>
 *		Paul Everitt
 *
 * ***** END LICENSE BLOCK ***** */

var mozilePrefs="";

function init() 
{
    mozileSetVersionById('version');

	netscape.security.PrivilegeManager.enablePrivilege('UniversalXPConnect');
    mozilePrefs = Components.classes["@mozilla.org/preferences-service;1"].
        getService(Components.interfaces.nsIPrefBranch);

	mozileGetAutohide();
	mozileGetCaret();
	mozileGetPrompt();
	mozileGetAccelerator();
	mozileGetDebugLevel();
}

function mozileGetAutohide() {
	var autohideCheckbox = document.getElementById("mozileAutohideCheckbox");
	autohideCheckbox.checked=mozilePrefs.getBoolPref("mozile.autohideBool");
}

function mozileSetAutohide(node) {
	netscape.security.PrivilegeManager.enablePrivilege('UniversalXPConnect');
	mozilePrefs.setBoolPref("mozile.autohideBool",!mozilePrefs.getBoolPref("mozile.autohideBool"));
}



function mozileGetCaret(node) {
	var caretCheckbox = document.getElementById("mozileCaretCheckbox");
	caretCheckbox.checked=mozilePrefs.getBoolPref("mozile.caretAlwaysOnBool");
}

function mozileSetCaret(node) {
	netscape.security.PrivilegeManager.enablePrivilege('UniversalXPConnect');
	mozilePrefs.setBoolPref("mozile.caretAlwaysOnBool",!mozilePrefs.getBoolPref("mozile.caretAlwaysOnBool"));
}



function mozileGetPrompt(node) {
	var promptCheckbox = document.getElementById("mozilePromptCheckbox");
	promptCheckbox.checked=mozilePrefs.getBoolPref("mozile.promptOnUnloadBool");
}

function mozileSetPrompt(node) {
	netscape.security.PrivilegeManager.enablePrivilege('UniversalXPConnect');
	mozilePrefs.setBoolPref("mozile.promptOnUnloadBool",!mozilePrefs.getBoolPref("mozile.promptOnUnloadBool"));
}


function mozileGetAccelerator(node) {
	var acceleratorCheckbox = document.getElementById("mozileAcceleratorCheckbox");
	acceleratorCheckbox.checked=mozilePrefs.getBoolPref("mozile.acceleratorBool");
}

function mozileSetAccelerator(node) {
	netscape.security.PrivilegeManager.enablePrivilege('UniversalXPConnect');
	mozilePrefs.setBoolPref("mozile.acceleratorBool",!mozilePrefs.getBoolPref("mozile.acceleratorBool"));
}



function mozileGetDebugLevel() {
	var debugLevelMenulist = document.getElementById("mozileDebugLevelMenulist");
	debugLevelMenulist.selectedIndex=mozilePrefs.getIntPref("mozile.debugLevelInt");
}

function mozileSetDebugLevel(node) {
	netscape.security.PrivilegeManager.enablePrivilege('UniversalXPConnect');
	switch(node.selectedIndex) {
		case 0:
			mozilePrefs.setIntPref("mozile.debugLevelInt",0);
			break;
		case 1:
			mozilePrefs.setIntPref("mozile.debugLevelInt",1);
			break;
		case 2:
			mozilePrefs.setIntPref("mozile.debugLevelInt",2);
			break;
		default:
			alert("Error: "+node.selectedIndex);
	}
}
